import request from '@/utils/request'
// 初始化 人员和工位
export function getMachine() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_加工顺序调整_查询工位及人员'
    }
  })
}
// 获取工位
export function getMachine2() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_加工顺序调整_查询工位'
    }
  })
}
export function searchtable(num, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'MES_机加工MES_记录零件待加工显示',
      param: 'MES终端编号=' + num,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 调序
export function Order(num1, num2, num3) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: 'MES_机加工MES_待加工区列表_排序',
      param: 'MES终端编号=' + num1 + '&排序ID=' + num2 + '&排序类型=' + num3
    }
  })
}
// 调序权限
export function JurisdictionControl(num1, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_加工顺序调整_更改权限',
      param: 'MES终端号=' + num1 + '&变更类型=' + num2
    }
  })
}
// 所有工序
export function getTable2(stepNumber) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工序_查询数据_加工顺序调整查询',
      param: '项目流水号_check=0&项目流水号=0&机床流水号_check=0&机床流水号=0&组件流水号_check=0&组件流水号=0&零件图号_check=1=string&零件图号=' + stepNumber + '=string&是否查询全部数据=1=string&单件是否外协=1&考核状态=6=int'
    }
  })
}
// 正在加工零件
export function searchParts(stepNumber) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_加工顺序调整_查询正在加工零件工序',
      param: '终端编号=' + stepNumber
    }
  })
}
// 跳序权限
export function JurisdictionContro2(num1, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_加工顺序调整_更改跳序权限',
      param: 'MES终端号=' + num1 + '&变更类型=' + num2
    }
  })
}
// 撤出零件
export function outParts(code) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: 2,
      name: '车间生产管理工艺_零件撤出待加工库',
      param: '工艺计划流水号=' + code + '&结果=11111=string=output'
    }
  })
}
